Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19584

Description

Open a vector layer properties dialog

In Diagrams tab, check "Display diagrams" and do any settings you want on your data. Apply and close the dialog

Reopen the file properties dialog and uncheck now "Display diagrams". Apply and close the dialog

Reopen once again the vector layer properties and check "Display diagrams". All the changes you have done previously are lost. You

need to set them again. Unchecking the "Display Diagrams" just erased your settings.

Find the right settings for diagrams on a layer is not an easy task, so losing it like this is really annoying. Because sometimes, you just

need temporarily to not show the diagrams and see what is below.

As it is done for labels, the way you designed your diagrams should be "kept in mind" even when you uncheck "Display diagrams"

checkbox and reproduced as soon as you check again the box.

Associated revisions

Revision 43f150dc - 2015-04-09 09:50 AM - Nyall Dawson

Allow diagrams to be disabled without losing settings (fix #11288)

History

#1 - 2015-02-26 03:41 AM - Kevin Darras

I have exactly the same problem on QGis 2.6.1

I would like to say that additionally, it would make sense to be able to save diagram settings in the QLD style file. THe buttons are there under the diagrams

tab but clearly it is not possible to save or load diagrams style settings from a file.

#2 - 2015-02-26 07:32 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to 2.8.1

#3 - 2015-04-09 12:55 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"43f150dc71bf08d2a7afa3d02e8eff21ced6cfb9".
